Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.authentication
Interface NegotiateIdentityAsserterMBean

All Superinterfaces:
  AuthenticationProviderMBean, weblogic.descriptor.DescriptorBean, IdentityAsserterMBean, ProviderMBean, ServletAuthenticationFilterMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface NegotiateIdentityAsserterMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, IdentityAsserterMBean, ServletAuthenticationFilterMBean

The MBean that represents configuration atrributes for the WebLogic Negotiate Identity Assertion provider. The WebLogic Negotiate Identity Assertion provider supports identity assertion using HTTP authentication tokens from the SPNEGO protocol. The provider supports the identity assertion using the Kerberos tokens contained within the SPNEGO token..Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String[]` | `getActiveTypes()` The token types that are currently active.
`boolean` | `getBase64DecodingRequired()` The WebLogic Negotiate Identity Asserter defines this setting.
`String` | `getDescription()` A short description of the WebLogic Negotiate Identity Assertion provider.
`String` | `getName()` The name of this configuration.
`String` | `getProviderClassName()` The name of the Java class used to load the WebLogic Negotiate Identity Assertion provider.
`String[]` | `getSupportedTypes()` The token types supported by the WebLogic Negotiate Identity Assertion provider.
`String` | `getVersion()` The version number of the WebLogic Negotiate Identity Assertion provider.
`boolean` | `isFormBasedNegotiationEnabled()` Indicates whether the Negotiate Identity Asserter and filter should negotiate when a webapp is configured for FORM auth.
`void` | `setActiveTypes(String[] newValue)` The token types that are currently active.
`void` | `setFormBasedNegotiationEnabled(boolean newValue)` Indicates whether the Negotiate Identity Asserter and filter should negotiate when a webapp is configured for FORM auth.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.authentication.IdentityAsserterMBean
`setBase64DecodingRequired`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Method Detail

### getActiveTypes

    public String[] getActiveTypes()

  The token types that are currently active.

  Specified by:
    `getActiveTypes` in interface `IdentityAsserterMBean`
  Default value:
    weblogic.security.spi.IdentityAsserter.WWW_AUTHENTICATE_NEGOTIATE,weblogic.security.spi.IdentityAsserter.AUTHORIZATION_NEGOTIATE
  A dynamic MBean attribute.
    false

### getBase64DecodingRequired

    public boolean getBase64DecodingRequired()

  The WebLogic Negotiate Identity Asserter defines this setting.

  Specified by:
    `getBase64DecodingRequired` in interface `IdentityAsserterMBean`
  Default value:
    false
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getDescription

    public String getDescription()

  A short description of the WebLogic Negotiate Identity Assertion provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic Negotiate Identity Assertion provider"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "NegotiateIdentityAsserter"
  A dynamic MBean attribute.
    false

### getProviderClassName

    public String getProviderClassName()

  The name of the Java class used to load the WebLogic Negotiate Identity Assertion provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.authentication.NegotiateIdentityAsserterProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getSupportedTypes

    public String[] getSupportedTypes()

  The token types supported by the WebLogic Negotiate Identity Assertion provider.

  Specified by:
    `getSupportedTypes` in interface `IdentityAsserterMBean`
  Default value:
    weblogic.security.spi.IdentityAsserter.WWW_AUTHENTICATE_NEGOTIATE,weblogic.security.spi.IdentityAsserter.AUTHORIZATION_NEGOTIATE
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getVersion

    public String getVersion()

  The version number of the WebLogic Negotiate Identity Assertion provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### isFormBasedNegotiationEnabled

    public boolean isFormBasedNegotiationEnabled()

  Indicates whether the Negotiate Identity Asserter and filter should negotiate when a webapp is configured for FORM auth.

  Default value:
    true
  A dynamic MBean attribute.
    false

### setActiveTypes

    public void setActiveTypes(String[] newValue)
                        throws InvalidAttributeValueException

  The token types that are currently active.

  Specified by:
    `setActiveTypes` in interface `IdentityAsserterMBean`
  Parameters:
    `newValue` - - new value for attribute ActiveTypes
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `IdentityAsserterMBean.getActiveTypes()`
  Default value:
    weblogic.security.spi.IdentityAsserter.WWW_AUTHENTICATE_NEGOTIATE,weblogic.security.spi.IdentityAsserter.AUTHORIZATION_NEGOTIATE
  A dynamic MBean attribute.
    false

### setFormBasedNegotiationEnabled

    public void setFormBasedNegotiationEnabled(boolean newValue)
                                        throws InvalidAttributeValueException

  Indicates whether the Negotiate Identity Asserter and filter should negotiate when a webapp is configured for FORM auth.

  Parameters:
    `newValue` - - new value for attribute FormBasedNegotiationEnabled
  Throws:
    `InvalidAttributeValueException`
  Default value:
    true
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD